### Method

# Ide Workspace get_context

#### Declaration

    IdeContext*
    ide_workspace_get_context (
      IdeWorkspace* self
    )

#### Description

Gets the `IdeContext` for the `IdeWorkspace`, which is set when the workspace joins an `IdeWorkbench`.

Available since: | 3.32

Gets property | `Ide.Workspace:context`

#### Return value

Returns: | `IdeContext`
| An `IdeContext` or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.